Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Ordner in SWX feststecken

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Ordner in SWX feststecken (1050 mal gelesen)
mermat
Mitglied
Konstrukteur


Sehen Sie sich das Profil von mermat an!   Senden Sie eine Private Message an mermat  Schreiben Sie einen Gästebucheintrag für mermat

Beiträge: 21
Registriert: 24.04.2015

Intel(R) Xeon(R) CPU E5-1630 v3 3.70GHz
16GB RAM
NVIDIA Quadro 2200
Win 10 Pro
Solidworks Professional
2016 x64 SP5.0
2015 x64 SP5.0

erstellt am: 10. Nov. 2016 16:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

weis jemand ob man Ordner im Featurebaum "feststecken/fixieren" kann.

Hintergrund ist der dass ich meine Ordner für Kaufteile, Normteile,... in einer bestimmten Reihenfolge am unteren Ende des Featurebaums stehen haben will ohne dass noch weitere Eigenfertigungskomponenten darunter eingelistet sind/werden. Stichwort Übersichtlichkeit auf Stücklisten.

Vielen Dank schonmal

Gruß Matthias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dopplerm
Ehrenmitglied V.I.P. h.c.
Konstrukteur


Sehen Sie sich das Profil von dopplerm an!   Senden Sie eine Private Message an dopplerm  Schreiben Sie einen Gästebucheintrag für dopplerm

Beiträge: 2858
Registriert: 11.02.2005

PNY FX 380
Win 7 64bit
SWX 2014 SP 4.0

erstellt am: 10. Nov. 2016 16:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mermat 10 Unities + Antwort hilfreich

ich arbeite mit Sortern

jeder Fertigungsteil hat den Sorter1 mit der Zahl 100
Kaufteile ab 200
Normteile ab 500

Sorter2
sind dann die letzten beiden Zeichnungsnummern als Zähler
oder eben die Abmessungen der Teile 0010-0060 (für M10x60)
damit lässt sich alles sehr schön sortieren
mehr Infos findest du mit der Suchfunktion und dem Begriff Sorter

lg Martin

------------------
ich spiel noch immer gern mit Bauklötzen, nur sind sie jetzt teurer  

[Diese Nachricht wurde von dopplerm am 10. Nov. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mermat
Mitglied
Konstrukteur


Sehen Sie sich das Profil von mermat an!   Senden Sie eine Private Message an mermat  Schreiben Sie einen Gästebucheintrag für mermat

Beiträge: 21
Registriert: 24.04.2015

Intel(R) Xeon(R) CPU E5-1630 v3 3.70GHz
16GB RAM
NVIDIA Quadro 2200
Win 10 Pro
Solidworks Professional
2016 x64 SP5.0
2015 x64 SP5.0

erstellt am: 11. Nov. 2016 07:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Martin,

Danke für den Hinweis mit den Sortern (wenn ichs richtig verstanden habe hast Du einfach 2 Eigenschaften zusätzlich zum Sortieren in der Z-Stückliste).
Ich möchte aber auch die Übersichtlichkeit im Featurebaum ohne dies immer händisch erledigen zu müssen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Unwissend-65
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Unwissend-65 an!   Senden Sie eine Private Message an Unwissend-65  Schreiben Sie einen Gästebucheintrag für Unwissend-65

Beiträge: 141
Registriert: 09.08.2016

SolidWorks Premium 2016 SP 3.0

erstellt am: 11. Nov. 2016 09:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mermat 10 Unities + Antwort hilfreich

Einfach schnappen und in die richtige Reihenfolge ziehen.
Dürfte doch eigentlich nicht das Problem sein.
Und der Stückliste beim Sortieren sagen, dass sie die Baugruppenreihenfolge nutzen soll (machst Du aber eh schon, oder?)

------------------
Viele Grüße vom Unwissenden
________________________________________________

Wer Schreibfehler findet, darf sie behalten 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mermat
Mitglied
Konstrukteur


Sehen Sie sich das Profil von mermat an!   Senden Sie eine Private Message an mermat  Schreiben Sie einen Gästebucheintrag für mermat

Beiträge: 21
Registriert: 24.04.2015

Intel(R) Xeon(R) CPU E5-1630 v3 3.70GHz
16GB RAM
NVIDIA Quadro 2200
Win 10 Pro
Solidworks Professional
2016 x64 SP5.0
2015 x64 SP5.0

erstellt am: 11. Nov. 2016 09:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

In die richtige Reihenfolge zu ziehen ist bei dem einen oder anderen bei uns doch manchmal das Problem. Dann stehen die Ordner mal am Ende mal oben, Eigenfertigungsteile kreuz und Quer. Die Ordner am unteren Ende "feststecken" würde schonmal eine Grundstruktur in den FB bringen.
Die Stückliste wird nach BG-Struktur sortiert.

Gruß Matthias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dopplerm
Ehrenmitglied V.I.P. h.c.
Konstrukteur


Sehen Sie sich das Profil von dopplerm an!   Senden Sie eine Private Message an dopplerm  Schreiben Sie einen Gästebucheintrag für dopplerm

Beiträge: 2858
Registriert: 11.02.2005

PNY FX 380
Win 7 64bit
SWX 2014 SP 4.0

erstellt am: 11. Nov. 2016 11:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mermat 10 Unities + Antwort hilfreich

mach einfach einen dritten Ordner Fertigungsteile, der ganz oben angebracht ist
dann stehen die Teile immer oben

lg Martin

(nachdem das alles aber unnötig viel Arbeit macht, habe ich Sorter eingeführt

------------------
ich spiel noch immer gern mit Bauklötzen, nur sind sie jetzt teurer 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mermat
Mitglied
Konstrukteur


Sehen Sie sich das Profil von mermat an!   Senden Sie eine Private Message an mermat  Schreiben Sie einen Gästebucheintrag für mermat

Beiträge: 21
Registriert: 24.04.2015

Intel(R) Xeon(R) CPU E5-1630 v3 3.70GHz
16GB RAM
NVIDIA Quadro 2200
Win 10 Pro
Solidworks Professional
2016 x64 SP5.0
2015 x64 SP5.0

erstellt am: 11. Nov. 2016 11:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Martin,

wie sieht dein FB aus (strukturiert oder gemischt)?

Ist Dir der FB strukturell wichtig und hast dadurch weniger Aufwand bei den Stücklisten oder ist Dir nur die Stückliste am Ende wichtig?

Vielleicht ist auch ausschlaggebend wie viele Gruppen von Komponenten gehändelt werden müssen (bei uns wären diese nur 6 Stk.)

Auch wenn für mich noch nicht DAS dabei war Vielen Dank schonmal für Eure Anregungen.

Gruß Matthias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dopplerm
Ehrenmitglied V.I.P. h.c.
Konstrukteur


Sehen Sie sich das Profil von dopplerm an!   Senden Sie eine Private Message an dopplerm  Schreiben Sie einen Gästebucheintrag für dopplerm

Beiträge: 2858
Registriert: 11.02.2005

PNY FX 380
Win 7 64bit
SWX 2014 SP 4.0

erstellt am: 11. Nov. 2016 12:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mermat 10 Unities + Antwort hilfreich

der Featuremanager ist bei mir nach Bedarf geordnet
Einbautiei und seine Befestigungsteile.
wenns glatt läuft und halbwegs Zeit ist,
wenn das Chaos ausbricht, leidet auch die Ordnung im Featuremanager,
was aber durch meine Art der Stückliste völlig egal ist

Auch Unterbaugruppen sind dadurch kein Problem,
verwende immer die Einstellung Teile anzeigen
und sollte eine Baugruppe nicht aufgeteilt werden, kann ich das in der Unterbaugruppe steuern (Kindkomponenten nicht anzeigen)

achja, es gibt viel Wege 

lg Martin

------------------
ich spiel noch immer gern mit Bauklötzen, nur sind sie jetzt teurer 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jörg.jwd
Ehrenmitglied V.I.P. h.c.
CAD-PDM Administrator


Sehen Sie sich das Profil von jörg.jwd an!   Senden Sie eine Private Message an jörg.jwd  Schreiben Sie einen Gästebucheintrag für jörg.jwd

Beiträge: 2966
Registriert: 05.11.2003

Win XP, Win7-64,
SWX 2010/11/12/13/14/15/16/17/18,
Immer das aktuellste SP
Autodesk Product Design Suite Standard 2013/14/16
DraftSight Énterprise 2017SP2
CIM Database auf Dell Precision M4800 16GB RAM. NVIDIA Quadro K2100M

erstellt am: 11. Nov. 2016 12:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mermat 10 Unities + Antwort hilfreich

Hallo Matthias,

ich stimme Martin zu. Mach dir drei Ordner. Fertigungsteile, Kaufteile und Normteile. Die packst du gleich in deine Vorlage, dann kommen sie immer in der richtigen Reihenfolge (wenn's nicht jemand manuell verschiebt).

------------------
Grüße

Jörg

da ich weiß daß ich nichts weiß weiß ich immer noch mehr als die die nicht wissen daß sie nichts wissen (weiß nicht von wem)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mermat
Mitglied
Konstrukteur


Sehen Sie sich das Profil von mermat an!   Senden Sie eine Private Message an mermat  Schreiben Sie einen Gästebucheintrag für mermat

Beiträge: 21
Registriert: 24.04.2015

Intel(R) Xeon(R) CPU E5-1630 v3 3.70GHz
16GB RAM
NVIDIA Quadro 2200
Win 10 Pro
Solidworks Professional
2016 x64 SP5.0
2015 x64 SP5.0

erstellt am: 11. Nov. 2016 12:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Jörg,

und genau diese Möglichkeit des manuellen Verschiebens will ich weg haben.

Aber genau das gibt SWX bislang woll nicht her.

Gruß Matthias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ralf Tide
Moderator
Ingenieur




Sehen Sie sich das Profil von Ralf Tide an!   Senden Sie eine Private Message an Ralf Tide  Schreiben Sie einen Gästebucheintrag für Ralf Tide

Beiträge: 4327
Registriert: 06.08.2001

.-)

erstellt am: 12. Nov. 2016 11:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mermat 10 Unities + Antwort hilfreich


Makro_TeileUndBaugruppen_InOrdnerVerschieben.mp4

 
Zitat:
Original erstellt von mermat:
...genau diese Möglichkeit des manuellen Verschiebens will ich weg haben.

Aber genau das gibt SWX bislang woll nicht her...


Hallo Matthias,

das kannst Du mit einem Makro lösen. Siehe Video (das Makro hab ich noch nicht gefunden        ).

  • In den Einzelteilen und Baugruppen eine entsprechende Klassifikation hinterlegen (eine benutzerdefinierte Eigenschaft).
  • In der Baugruppenvorlage -wie Jörg schon vorgeschlagen hat- die entsprechenden Ordner anlegen.
  • Ein Makro schreiben:
    - Die Baugruppe "traversieren" (aus dem Beispiel musst Du noch die irrelevanten Teile rausschmeißen        )
    - MoveToFolder Methode verwenden - gibt es seit SOLIDWORKS 2005
    - ReorderComponents Method verwenden - gibt es seit SOLIDWORKS 2007

HTH
Ralf
[EDIT1]

Ich hab das Makro immer noch nicht gefunden, aber...

Code:
Sub main()
    Dim swApp                       As SldWorks.SldWorks
    Dim swModel                     As SldWorks.ModelDoc2
    Dim swAssy                      As SldWorks.AssemblyDoc
    Dim swConf                      As SldWorks.Configuration
    Dim swRootComp                  As SldWorks.Component2
    Dim bRet                        As Boolean
    Dim sClass                      As String
   
    Const swDocPART = 1
    Const swDocASSEMBLY = 2
    Const swDocDRAWING = 3
   
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
   
    If swModel Is Nothing Then
        ' dann war gar kein Dokument geöffnet, also
        MsgBox "Kein Dokument geöffnet B^)"
        Exit Sub
    End If
    If (swModel.GetType <> swDocASSEMBLY) Then
        ' wenn keine Baugruppe -> geht auch nix
        MsgBox "Nur für Baugruppen B^)"
        Exit Sub
    End If
    Set swAssy = swApp.ActiveDoc
    Set swConf = swAssy.GetActiveConfiguration
    Set swRootComp = swConf.GetRootComponent

    Dim vChildComp                  As Variant
    Dim swChildComp                 As SldWorks.Component2
    Dim swCompConfig                As SldWorks.Configuration
    Dim swModelDocExt               As SldWorks.ModelDocExtension
    Dim lRet                        As Long
    Dim retval                      As String
    Dim i                           As Integer
    Dim selMgr                      As SldWorks.SelectionMgr
    Dim myFeature                   As SldWorks.Feature
    Dim componentToMove             As SldWorks.Component2
' Durch die Baugruppe
vChildComp = swRootComp.GetChildren
    For i = 0 To UBound(vChildComp)
        Set swChildComp = vChildComp(i)
        Set swModel = swChildComp.GetModelDoc
        If Not swModel Is Nothing Then
' Dateieigenschaft "Klasse" abfragen
            retval = swModel.CustomInfo2("", "Klasse")
' Für jede "Klasse" eine Fallunterscheidung machen...
            If retval = "000" Then
                sClass = "000"
                bRet = swChildComp.Select(True)
                Set selMgr = swAssy.SelectionManager
                Set componentToMove = selMgr.GetSelectedObjectsComponent3(1, 0)
                Set myFeature = swAssy.FeatureByName(sClass)
' In den Ordner sClass schieben
                bRet = swAssy.ReorderComponents(componentToMove, myFeature, swReorderComponentsWhere_e.swReorderComponents_LastInFolder)
                swAssy.ClearSelection2 True
            End If
            If retval = "100" Then
                sClass = "100"
                bRet = swChildComp.Select(True)
                Set selMgr = swAssy.SelectionManager
                Set componentToMove = selMgr.GetSelectedObjectsComponent3(1, 0)
                Set myFeature = swAssy.FeatureByName(sClass)
' In den Ordner sClass schieben
                bRet = swAssy.ReorderComponents(componentToMove, myFeature, swReorderComponentsWhere_e.swReorderComponents_LastInFolder)
                swAssy.ClearSelection2 True
            End If
        End If
    Next i

End Sub



- In der Baugruppe, auf die das Makro angewendet wird, müssen passende Ordner "sClass" vorhanden sein
- Die Komponenten (Teile und Unterbaugruppen) müssen eine Dateieigenschaft "Klasse" haben, die mit entsprechendem Wert gefüllt ist.

- Händisch falsch einsortierte Komponenten sollten nach Anwendung des Makros wieder "richtig" einsortiert sein.
[/EDIT1]
[EDIT2]
Bessere Variante für die Fallunterscheidung ist vielleicht "Select Case"...
[/EDIT2]
------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz